# Uses of Class
org.h2gis.functions.io.utility.ReadBufferManager

Packages that use ReadBufferManager
Package
Description
org.h2gis.functions.io.shp.internal

## Uses of ReadBufferManager in org.h2gis.functions.io.shp.internal

Methods in org.h2gis.functions.io.shp.internal with parameters of type ReadBufferManager
Modifier and Type
Method
Description
`org.locationtech.jts.geom.Geometry`
MultiLineHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
MultiPointHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
PointHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
PolygonHandler.`read(ReadBufferManager buffer, ShapeType type)`
`org.locationtech.jts.geom.Geometry`
ShapeHandler.`read(ReadBufferManager buffer, ShapeType type)`
Read a geometry from the ByteBuffer.The buffer's position, byteOrder, and limit are set to that which is needed.